# 一款基于导入浏览器书签的在线书签

## 介绍

👉👉👉基于 [kestrel-bookmark](https://github.com/zhanhongzhu/kestrel-bookmark) 项目构建的静态文件，是一款简洁的在线书签导航网站。 本人想部署在Cloudflare的pages上，但是Cloudflare部署一直报Vue依赖被弃用，于是索性直接放上已构建好的静态文件。


## 💹 功能/特色

（炫酷光晕背景动画效果，可导入浏览器数据存入LeanCloud）

-   ✅ 1.同步印象中文的web导航数据；书签支持新增、修改和删除

-   ✅ 2.全局搜索筛选功能；本地离线数据持久化，书签增删改查

-   ✅ 3.可登录获取保存在leancloud里面的书签数据，再不用担心书签数据丢失了

-   ✅ 4.采用granim插件完成背景动画；可选择更多动画效果；

-   ✅ 5.支持导入浏览器书签数据（Google，火狐），并存入LeanCloud;

-   ✅ 6.可注册leanCloud并修改appId和appKey；自己部署该书签；

-   ✅ 7.采用Vue3.0 Composition API；也是一个学习Vue3.0 的学习项目；希望帮助更多正在学习VUe 3.0的朋友；

-   ✅ 8.自定义上传背景图片

-   ✅ 9.自定义背景动画效果

-   ✅ 10.导入解析浏览器书签，支持修改、删除并存入LeanCloud

 

## 📝 正在开发的功能

- 请移步原作者Github项目页[kestrel-bookmark](https://github.com/kestrela/kestrel-bookmark)查看。

  


## 😀自定义导入数据

- 可以将浏览器的书签导出，然后导入到书签系统中。也可以将书签系统的数据导入到浏览器中。

  


## 😀leancloud存储

- 数据到云端。只需注册登录即可，后续无需担心数据丢失问题。

  
  


## ⚡主题

- 目前提供 清晰/暗黑两种主题。


  


## 📚安装步骤

- 这是已打包的静态文件，直接下载丢到服务器上就OK了。

- 如果需要自行修改，可以直接改静态文件，也可以clone原项目源码自行修改再打包。

## 🚀 效果

  
  
  


![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/52b83ea3177f420bb289a94e66bdb3dd~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/3e0df0adde3f4848a4fe3060ea03efc6~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/db6a1a9ab3134001a81beea4b885f59e~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/663750e8531d4b77a186519f0bfa5bba~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/a7ee5b5dd4b045dbab8cfeb787aa3834~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/eee207a04c234bbb838946eedfd00d6e~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/b0b67d480b5c4e43b5646cdc8dbc040a~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/eeef8b79fa28404c9021052945fae4f3~tplv-k3u1fbpfcp-zoom-1.image) ![](https://p3-juejin.byteimg.com/tos-cn-i-k3u1fbpfcp/ef3c0e9215614a9389e1e6d4e1350dbe~tplv-k3u1fbpfcp-zoom-1.image)

 
## 致谢
- 原作者[zhanhongzhu](https://gitee.com/zhanhongzhu/)
- 原项目完全开源，大家可以随意研究，二次开发。觉得不错可以去原作者项目点个Star⭐⭐⭐

## 链接

- [原作者博客](https:/zhanhongzhu.top)

- [原项目demo](http://bookmark.zhanhongzhu.top)

- [源码链接(gitee)](https://gitee.com/zhanhongzhu/kestrel-bookmark) 

- [源码链接(github)](https://github.com/zhanhongzhu/kestrel-bookmark)
